curl --request POST \
--url https://api.harmonyforstaffing.com/api/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"title": "Senior ICU Nurse",
"description": "Looking for experienced ICU nurse...",
"publicDescription": "Join our award-winning hospital...",
"startDate": 1699892400000,
"address": {
"address1": "123 Hospital Way",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"employmentType": "CONTRACT",
"status": "OPEN",
"notes": "Immediate start required. Night shift position."
}'
{
"id": 789,
"title": "Senior ICU Nurse",
"description": "Looking for experienced ICU nurse...",
"publicDescription": "Join our award-winning hospital...",
"dateAdded": 1679253000,
"startDate": 1699892400000,
"address": {
"address1": "123 Hospital Way",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"employmentType": "CONTRACT",
"status": "OPEN",
"notes": "Immediate start required. Night shift position."
}
Jobs
Create Job
Create a new job posting
POST
/
api
/
jobs
curl --request POST \
--url https://api.harmonyforstaffing.com/api/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"title": "Senior ICU Nurse",
"description": "Looking for experienced ICU nurse...",
"publicDescription": "Join our award-winning hospital...",
"startDate": 1699892400000,
"address": {
"address1": "123 Hospital Way",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"employmentType": "CONTRACT",
"status": "OPEN",
"notes": "Immediate start required. Night shift position."
}'
{
"id": 789,
"title": "Senior ICU Nurse",
"description": "Looking for experienced ICU nurse...",
"publicDescription": "Join our award-winning hospital...",
"dateAdded": 1679253000,
"startDate": 1699892400000,
"address": {
"address1": "123 Hospital Way",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"employmentType": "CONTRACT",
"status": "OPEN",
"notes": "Immediate start required. Night shift position."
}
Create a new job posting in the system.
Body Parameters
string
required
Job title
string
required
Detailed job description
integer
required
Job start date (Unix timestamp)
string
Public-facing job description
object
required
string
required
Type of employment
string
required
Current status of the job
string
Additional notes about the job
Response
integer
The ID of the created job
integer
Unix timestamp when the job was added
curl --request POST \
--url https://api.harmonyforstaffing.com/api/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"title": "Senior ICU Nurse",
"description": "Looking for experienced ICU nurse...",
"publicDescription": "Join our award-winning hospital...",
"startDate": 1699892400000,
"address": {
"address1": "123 Hospital Way",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"employmentType": "CONTRACT",
"status": "OPEN",
"notes": "Immediate start required. Night shift position."
}'
{
"id": 789,
"title": "Senior ICU Nurse",
"description": "Looking for experienced ICU nurse...",
"publicDescription": "Join our award-winning hospital...",
"dateAdded": 1679253000,
"startDate": 1699892400000,
"address": {
"address1": "123 Hospital Way",
"city": "San Francisco",
"state": "CA",
"zip": "94105",
"countryCode": "US"
},
"employmentType": "CONTRACT",
"status": "OPEN",
"notes": "Immediate start required. Night shift position."
}